package com.dzeio.openhealth.adapters

import android.view.LayoutInflater
import android.view.ViewGroup
import com.dzeio.openhealth.core.BaseAdapter
import com.dzeio.openhealth.core.BaseViewHolder
import com.dzeio.openhealth.data.weight.Weight
import com.dzeio.openhealth.databinding.LayoutItemListBinding

class WeightAdapter() : BaseAdapter<Weight, LayoutItemListBinding>() {

    override val bindingInflater: (LayoutInflater, ViewGroup?, Boolean) -> LayoutItemListBinding
        get() = LayoutItemListBinding::inflate

    var onItemClick: ((weight: Weight) -> Unit)? = null

    override fun onBindData(
        holder: BaseViewHolder<LayoutItemListBinding>,
        item: Weight,
        position: Int
    ) {
        holder.binding.value.text = "${item.weight}kg"
        holder.binding.datetime.text = item.formatTimestamp()
        holder.binding.edit.setOnClickListener {
            onItemClick?.invoke(item)
        }
    }
}